printNacopula {copula} | R Documentation

## Print Compact Overview of a Nested Archimedean Copula ("nacopula")

### Description

Print a compact overview of a nested Archimedean copula, that is, an object of class `"nacopula"`. Calling `printNacopula` explicitly allows to customize the printing behavior. Otherwise, the `show()` method calls `printNacopula` with default arguments only.

### Usage

    printNacopula(x, labelKids=NA, deltaInd=, indent.str="",
    	              digits=getOption("digits"),
    	              width=getOption("width"), ...)

### Arguments

`x` | an R object of class `nacopula`.
`labelKids` | logical specifying if child copulas should be labeled; If `NA` (as per default), on each level, children are labeled only if they are not only-child.
`deltaInd` | by how much should each child be indented more than its parent? (non-negative integer). The default is three with `labelKids` being the default or `TRUE`, otherwise it is five (for `labelKids=FALSE`).
`indent.str` | a `character` string specifying the indentation, that is, the string that should be prepended on the first line of output, and determine the amount of blanks for the remaining lines.
`digits, width` | number of significant digits, and desired print width; see `print.default`.
`...` | potentially further arguments, passed to methods.

### Value

invisibly, `x`.

### Examples

    C8 <- onacopula("F", C(1.9, 1,
                           list(K1 = C(5.7, c(2,5)),
                                abc= C(5.0, c(3,4,6),
                                       list(L2 = C(11.5, 7:8))))))
    C8 # -> printNacopula(C8)
    printNacopula(C8, delta=10)
    printNacopula(C8, labelKids=TRUE)

[Package copula version 0.999-15 Index]